#### Previous topic

scipy.linalg.pinvh

#### Next topic

scipy.linalg.tril

# scipy.linalg.kron

`scipy.linalg.``kron`(a, b)

  Kronecker product.

  The result is the block matrix:

      a[0,0]*b    a[0,1]*b  ... a[0,-1]*b
      a[1,0]*b    a[1,1]*b  ... a[1,-1]*b
      ...
      a[-1,0]*b   a[-1,1]*b ... a[-1,-1]*b

  Parameters:

  a : (M, N) ndarray

  > Input array

  b : (P, Q) ndarray

  > Input array

  Returns:

  A : (M*P, N*Q) ndarray

  > Kronecker product of a and b.

  Examples

      >>> from numpy import array
      >>> from scipy.linalg import kron
      >>> kron(array([[1,2],[3,4]]), array([[1,1,1]]))
      array([[1, 1, 1, 2, 2, 2],
             [3, 3, 3, 4, 4, 4]])